%global gem_name simple-navigation


Summary: Ruby library for creating navigation for your Rails or Sinatra application
Name: rubygem-%{gem_name}
Version: 3.10.0
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/andi/simple-navigation
Source0: http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
# https://github.com/andi/simple-navigation/pull/123
Patch0: rubygem-simple-navigation-3.10.0-respon_to-now-doesnt-return-protected-methods.patch
# https://github.com/andi/simple-navigation/pull/124
Patch1: rubygem-simple-navigation-3.10.0-Fix-compatibility-with-RSpec-2.12.patch
Requires: ruby(release)
Requires: ruby(rubygems)
Requires: rubygem(activesupport) >= 2.3.2
BuildRequires: rubygems-devel
BuildRequires: rubygem(actionpack)
BuildRequires: rubygem(rspec)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
With the simple-navigation %gem_install
navigation for your Rails, Sinatra or Padrino applications. The navigation is
global in a single configuration file. It supports automatic as well as
explicit highlighting of the currently active navigation through regular
expressions.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}

pushd .%{gem_instdir}
%patch0 -p1
%patch1 -p1
popd

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/generators
%{gem_libdir}
%{gem_instdir}/rails
%doc %{gem_instdir}/README
%doc %{gem_instdir}/VERSION
%doc %{gem_instdir}/CHANGELOG
%exclude %{gem_cache}
%{gem_spec}

%files doc
%{gem_instdir}/spec
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_docdir}


%changelog
* Mon Mar 11 2013 Vít Ondruch <vondruch@redhat.com> - 3.10.0-1
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0
- Update to simple-navigation 3.10.0.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 01 2012 Vít Ondruch <vondruch@redhat.com> - 3.5.1-3
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Nov 19 2011 Vít Ondruch <vondruch@redhat.com> - 3.5.1-1
- Updated to simple-navigation 3.5.1.

* Fri Nov 18 2011 Vít Ondruch <vondruch@redhat.com> - 3.5.0-2
- Removed forgotten Sinatra BR.

* Fri Nov 18 2011 Vít Ondruch <vondruch@redhat.com> - 3.5.0-1
- Updated to simple-navigation 3.5.0.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 11 2010 Michal Fojtik <mfojtik@redhat.com> - 3.0.0-3
- Created -doc subpackage
- Fixed version dependencies
- Removed unused macros

* Sat Oct 02 2010 Michal Fojtik <mfojtik@redhat.com> - 3.0.0-2
- Added action_controller dependency

* Sat Oct 02 2010 Michal Fojtik <mfojtik@redhat.com> - 3.0.0-1
- Initial package
